<?xml version="1.0" encoding="UTF-8"?>
<project name="cps" default="package" basedir="." xmlns:ivy="antlib:fr.jayasoft.ivy.ant">
	<property file="../build.properties" />
	<property file="version.properties" />
	<property file="devversion.properties" />
	<property name="build.id" value="manual ant build" />

	<!-- <property name="src.dir" location="./work/cps-core/src" /> -->
	<!-- <property name="conf.dir" location="./work/cps-core/conf" /> -->
	<property name="lib.dir" location="./lib" />
	<property name="buildlib.dir" location="./build-lib" />
	<property name="cpsweb.dir" location="./work/cps-web" />
	<property name="web.dir" location="./work/web" />
	<!-- <property name="core.dir" location="./work/cps-core" /> -->
	<property name="cms.dir" location="./work/cms-cps" />
	<property name="classes.dir" location="${work.dir}/classes" />
	<property name="coretemp.dir" location="./work/coretemp" />
	<property name="tempclasses.dir" location="${coretemp.dir}/classes" />
	<property name="tempsrc.dir" location="./cps-core/src" />
	<!-- <property name="classes.dir" location="${work.dir}/cps-core/classes" /> -->
	
	
	<path id="classpath">
		<fileset dir="${lib.dir}">
			<include name="**/*.jar" />
		</fileset>
		<fileset dir="${tomcat.home}/lib">
			<include name="**/*.jar" />
		</fileset>
		<fileset dir="${tomcat.home}/bin">
			<include name="tomcat-juli.jar" />
		</fileset>
	</path>
	
	
	<target name="clean">
		<delete dir="${work.dir}" failonerror="false" />
		<delete dir="${work.dir}" failonerror="false">
			<include name="${ant.project.name}*" />	
		</delete>
		<delete dir="${deploy.dir}/${ant.project.name}" failonerror="false" />
		<delete dir="${coretemp.dir}" failonerror="false" />
		<delete dir="${tempclasses.dir}" failonerror="false" />
		<!-- ensure that lib and build-lib aren't being updated without files being added to the repository -->
		<delete failonerror="false">
			<fileset dir="${buildlib.dir}" includes="**/*" excludes="**/*.xml" />
		</delete>
		<delete failonerror="false">
			<fileset dir="${lib.dir}" includes="**/*" />
		</delete>
	</target>
	
	<target name="init" depends="clean" >
		<mkdir dir="${coretemp.dir}"/>
		<mkdir dir="${tempclasses.dir}"/>
		<mkdir dir="${lib.dir}" />
		<mkdir dir="${buildlib.dir}" />
		<!-- <mkdir dir="${conf.dir}" /> -->
		<!-- <mkdir dir="META-INF" /> -->
		<mkdir dir="${work.dir}" />
		<mkdir dir="${web.dir}" />
		<mkdir dir="${cpsweb.dir}" />
		<mkdir dir="${cms.dir}" />
		<mkdir dir="${classes.dir}" />
        <!-- <mkdir dir="${cpsfiles.dir}" /> -->
	</target>
	
	<target name="copydependencies" depends="init" >
		<copy todir="${lib.dir}" >  
			<fileset dir="../lib">  
				<include name="**"/>
			</fileset>
		</copy>
		
		<copy todir="${buildlib.dir}" >  
			<fileset dir="../build-lib">  
				<include name="**"/>
			</fileset>
		</copy>
	</target>
	
	
	
	<target name="development" depends="copydependencies">

		<!-- Start Package Task -->
		<!-- Unzip all zip excluding cps common -->

		<unzip dest="${cpsweb.dir}">
			<fileset dir="." excludes="**/cpscommon*.zip" includes="**/*.zip" />
		</unzip>

		<!-- START COMMON -->

		<!-- <unzip dest="${work.dir}/cms-cps"> -->
			<!-- <fileset dir="." includes="**/cpscommoncms*.zip" /> -->
		<!-- </unzip> -->

		<!-- <unzip dest="${work.dir}/web"> -->
			<!-- <fileset dir="." includes="**/cpscommonweb*.zip" /> -->
		<!-- </unzip> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-core">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-core">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<antcall target="cps-core-jar" />

		<!-- END COMMON -->

		<!-- 1.START COPY HUGO -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hugo/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hugo/web" />
		</copy>
		<!-- END COPY HUGO -->

		<!-- 2.START COPY GREENFIELD -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-greenfield/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-greenfield/web" />
		</copy>
		<!-- END COPY GREENFIELD -->

		<!-- 3.START COPY FCAO -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-fcao/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-fcao/web" />
		</copy>
		<!-- END COPY FCAO -->

		<!-- 4.START COPY WSS -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-wss/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-wss/web" />
		</copy>
		<!-- END COPY WSS -->

		<!-- 5.START COPY TRACS -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-tracs/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-tracs/web" />
		</copy>
		<!-- END COPY TRACS -->

		<!-- 6.START COPY BRAC -->
		<copy todir="${work.dir}/cms-cps" overwrite="true" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-brac/cms" />
		</copy>
		<copy todir="${work.dir}/web" overwrite="true" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-brac/web" />
		</copy>
		<!-- END COPY BRAC -->

		<!-- 7.START COPY FALCON -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-falcon/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-falcon/web" />
		</copy>
		<!-- END COPY FALCON -->

		<!-- 8.START COPY SHOP -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-shop/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-shop/web" />
		</copy>
		<!-- END COPY SHOP -->

		<!-- 9.START COPY THAO -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thao/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thao/web" />
		</copy>
		<!-- END COPY THAO -->

		<!-- 10.START COPY THBYO -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thbyo/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thbyo/web" />
		</copy>
		<!-- END COPY THBYO -->

		<!-- 11.START COPY THCRUISE -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thcruise/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thcruise/web" />
		</copy>
		<!-- END COPY THCRUISE -->
		

		<!-- 12.START COPY FCFO -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-fcfo/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-fcfo/web" />
		</copy>
		<!-- END COPY FCFO -->

		<!-- 13.START COPY TFLY -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-tfly/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-tfly/web" />
		</copy>
		<!-- END COPY TFLY -->

		<!-- 14.START COPY PORTLAND -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-portland/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-portland/web" />
		</copy>
		<!-- END COPY PORTLAND -->

		<!-- 15.START COPY NEWSKIES -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-newskies/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-newskies/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-newskies">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-newskies">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-newskies">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY NEWSKIES -->

		<!-- 16.START COPY NEWSKIES Moblie -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-newskiesm/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-newskiesm/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-newskiesm">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-newskiesm">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-newskiesm">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY NEWSKIES Mobile-->
		
		<!-- 17.START COPY FCX -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-fcx/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-fcx/web" />
		</copy>
		<!-- END COPY FCX -->

		<!-- 18.START COPY THX -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thx/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-thx/web" />
		</copy>
		<!-- END COPY THX -->

		<!-- 19.START COPY FirstChoice Bookflow-->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-firstchoice/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-firstchoice/web" />
		</copy>
		<!-- END COPY FirstChoice Bookflow -->

		<!-- 20.START COPY Thomson Bookflow-->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-th/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-th/web" />
		</copy>
		<!-- END COPY Thomson Bookflow -->

		<!-- 21.START COPY Atcomres -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-atcomres/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-atcomres/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-atcomres">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-atcomres">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-atcomres">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY AtcomRes -->
		
		<!-- 22.START COPY Firstchoice Retrieve & Pay -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-managefc/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-managefc/web" />
		</copy>
		<!-- END COPY Firstchoice Retrieve & Pay-->

		<!-- 23.START COPY Thomson Retrieve & Pay -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-manageth/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-manageth/web" />
		</copy>
		<!-- END COPY Thomson Retrieve & Pay-->

		<!-- 24.START COPY hybris thomson cruise -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hybristhcruise/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hybristhcruise/web" />
		</copy>
		<!-- END COPY hybris thomson cruise-->

		<!-- 25.START COPY hybris thomson falcon -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hybrisfalcon/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hybrisfalcon/web" />
		</copy>
		<!-- END COPY hybris thomson falcon-->
		
		<!-- 26.START COPY hybris thomson flight only -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hybristhfo/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-hybristhfo/web" />
		</copy>
		<!-- END COPY hybris thomson flight only-->

		<!-- 27.START COPY hybris mobile flight only -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mflightonly/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mflightonly/web" />
		</copy>
		<!-- END COPY hybris mobile flight only-->

		<!-- 28.START COPY hybris mobile thomson -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mthomson/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mthomson/web" />
		</copy>
		<!-- END COPY hybris mobile thomson-->
		
		<!-- 29.START COPY hybris mobile firstchoice -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mfirstchoice/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mfirstchoice/web" />
		</copy>
		<!-- END COPY hybris mobile firstchoice-->
		
		<!-- 30.START COPY hybris mobile falcon -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mfalcon/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mfalcon/web" />
		</copy>
		<!-- END COPY hybris mobile falcon-->
		
		<!-- 31.START COPY Amend and Cancel -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-amendandcancel/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-amendandcancel/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-amendandcancel">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-amendandcancel">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-amendandcancel">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY Amend and Cancel-->
		
		
		<!-- 32.START COPY Hybris Falcon FO -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-falconfo/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-falconfo/web" />
		</copy>
		<!-- END COPY Hybris Falcon FO-->

		<!-- 33.START COPY Falcon FO  Mobile-->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mobilefalconfo/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mobilefalconfo/web" />
		</copy>
		<!-- END COPY Falcon FO Mobile-->
		
         <!-- 34.START COPY Cruise Mobile -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
				<fileset dir="${cpsweb.dir}/cps-mcruise/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-mcruise/web" />
		</copy>
		<!-- END COPY Cruise Mobile -->

		<!-- 35.START COPY B2CShorex -->
		<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-shorex/cms" />
		</copy>
		<copy todir="${work.dir}/web" includeEmptyDirs="true">
			<fileset dir="${cpsweb.dir}/cps-shorex/web" />
		</copy>
		<!-- END COPY B2CShorex -->

		<!-- 36.START COPY TUITH -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuith/cms" /> -->
		<!-- </copy> -->
	    <!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuith/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuith">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuith">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuith">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUITH -->
		
		<!-- 37.START COPY TUITHFO -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuithfo/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuithfo/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuithfo">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuithfo">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuithfo">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUITHFO -->
		
		 <!-- 38.START COPY TUICOMMMON -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuicommon/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuicommon/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuicommon">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuicommon">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuicommon">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUICOMMON -->
		
		 <!-- START COPY FCCOMMMON -->
		<!--<copy todir="${work.dir}/cms-cps" includeEmptyDirs="true">
				<fileset dir="${cpsweb.dir}/cps-fccommon/cms" />
			</copy>
			<copy todir="${work.dir}/web" includeEmptyDirs="true">
				<fileset dir="${cpsweb.dir}/cps-fccommon/web" />
			</copy>                                                   -->
		<!-- END COPY FCCOMMON -->
		
		<!-- 39.START COPY TUIFALCONFO -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuifalconfo/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuifalconfo/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuifalconfo">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuifalconfo">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuifalconfo">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUIFALCONFO -->


		<!-- 40.START COPY TUIFC -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuifc/cms" /> -->
				<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuifc/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuifc">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuifc">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuifc">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUIFC -->

		<!-- 41.START COPY TUIFALCON -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuifalcon/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuifalcon/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuifalcon">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuifalcon">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuifalcon">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUIFALCON -->
		
		 <!-- 42.START COPY TUITHCRUISEe -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuithcruise/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuithcruise/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuithcruise">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuithcruise">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuithcruise">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUITHCRUISEe -->

		<!-- 43.START COPY TUICRUISEDEALS -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuicruisedeals/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuicruisedeals/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuicruisedeals">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuicruisedeals">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuicruisedeals">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUICRUISEDEALS -->
		
		<!-- 44.START COPY TUICRUISEDEALS -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuihmcruise/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
				<!-- <fileset dir="${cpsweb.dir}/cps-tuihmcruise/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuiHMcruise">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuiHMcruise">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuiHMcruise">  
				<include name="src/"/>
			</fileset>
		</copy>
	    <!-- END COPY TUICRUISEDEALS -->
		
		<!-- 45.START COPY TUITHSHOREX -->
		<!-- <copy todir="${work.dir}/cms-cps" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuithshorex/cms" /> -->
		<!-- </copy> -->
		<!-- <copy todir="${work.dir}/web" includeEmptyDirs="true"> -->
			<!-- <fileset dir="${cpsweb.dir}/cps-tuithshorex/web" /> -->
		<!-- </copy> -->
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuithshorex">  
				<include name="cms-cps/"/>
			</fileset>
		</copy>
		
		<copy todir="${work.dir}" >  
			<fileset dir="./cps-tuithshorex">  
				<include name="web/"/>
			</fileset>
		</copy>
		
		<copy todir="${cpsweb.dir}" >  
			<fileset dir="./cps-tuithshorex">  
				<include name="src/"/>
			</fileset>
		</copy>
		<!-- END COPY TUITHSHOREX -->
		
	

		<tstamp>
			<format property="NOW" pattern="dd-MM-yyyy HH:mm" locale="en,UK" />
		</tstamp>

		<manifest file="${work.dir}/version.id">
			<attribute name="Built-By" value="${user.name}" />
			<attribute name="Version" value="${version}" />
			<attribute name="Built-Date" value="${TODAY} ${TSTAMP}" />
		</manifest>

		<antcall target="compile" />

		<jar jarfile="${lib.dir}/postprocessor.jar" basedir="${classes.dir}">
			<manifest>
				<attribute name="Built-By" value="${user.name}" />
				<section name="Version Details">
					<attribute name="Package-Vendor" value="TUI UK" />
					<attribute name="Package-Title" value="${ant.project.name}.jar" />
					<attribute name="Specification-Vendor" value="TUI UK" />
					<attribute name="Implementation-Vendor" value="TUI UK" />
					<attribute name="Implementation-Title" value="${ant.project.name}" />
					<attribute name="Implementation-Date" value="${NOW}" />
					<attribute name="Implementation-Version" value="${version}" />
					<attribute name="Build-Id" value="${build.id}" />
				</section>
			</manifest>
		</jar>

		<war destfile="${work.dir}/${ant.project.name}.war" webxml="WEB-INF/web.xml">
			<manifest>
				<attribute name="Built-By" value="${user.name}" />
				<section name="Version Details">
					<attribute name="Package-Vendor" value="TUI UK" />
					<attribute name="Package-Title" value="${ant.project.name}.war" />
					<attribute name="Specification-Vendor" value="TUI UK" />
					<attribute name="Implementation-Vendor" value="TUI UK" />
					<attribute name="Implementation-Title" value="${ant.project.name}" />
					<attribute name="Implementation-Date" value="${NOW}" />
					<attribute name="Implementation-Version" value="${version}" />
					<attribute name="Build-Id" value="${build.id}" />
				</section>
			</manifest>
			<fileset dir="${work.dir}/web">
				<include name="**/*.jsp*" />
				<include name="**/*.htm*" />
			</fileset>
			<lib dir="lib">
				<include name="*.jar" />
			</lib>
			<lib dir="${work.dir}">
				<include name="*.jar" />
			</lib>
			<webinf dir="WEB-INF/">
				<include name="classes/*.xml" />
				<include name="classes/*.properties" />
				<exclude name="web.xml" />
			</webinf>

			<metainf file="${work.dir}/version.id">
			</metainf>
		</war>

		<antcall target="cms-cps-zip" />
		
	</target>
	
	<target name="compile" >
		<javac srcdir="${cpsweb.dir}/src" destdir="${classes.dir}" debug="${debug}" debuglevel="${debuglevel}" deprecation="${deprecation}" optimize="${optimize}" excludes="${global-excludes}" encoding="UTF-8">
			<classpath refid="classpath" />
			<compilerarg value="-Xlint:unchecked" />
			<compilerarg value="-Xlint:dep-ann" />
		</javac>
	</target>
	
	<target name="cms-cps-zip">
		<zip zipfile="${work.dir}/cms-cps.zip">
			<fileset dir="${work.dir}/cms-cps">
				<include name="**/*.htm*" />
				<include name="**/*.css" />
				<include name="**/*.js" />
				<include name="**/*.gif" />
				<include name="**/*.jp*" />
				<include name="**/*.png" />
				<include name="**/*.ico" />
				<include name="**/*.htc" />
				<include name="**/*.swf" />
				<include name="**/*.eot" />
				<include name="**/*.svg" />
				<include name="**/*.ttf" />
				<include name="**/*.woff" />
			</fileset>
		</zip>
	</target>
	
	<target name="cps-core-jar" depends="compile-cps-core">
        <copy todir="${tempclasses.dir}/META-INF" includeEmptyDirs="true">
            <fileset dir="./cps-core/META-INF" />
        </copy>
        <tstamp>
            <format property="NOW" pattern="dd-MM-yyyy HH:mm" locale="en,UK" />
        </tstamp>
        <manifest file="${work.dir}/version.id">
            <attribute name="Built-By" value="${user.name}" />
            <attribute name="Version" value="${version}" />
            <attribute name="Built-Date" value="${TODAY} ${TSTAMP}" />
        </manifest>
        <jar jarfile="${lib.dir}/cpscore.jar" basedir="${tempclasses.dir}">
            <exclude name="com/tui/uk/client/parser/**" />
            <manifest>
                <attribute name="Built-By" value="${user.name}" />
                <section name="Version Details">
                    <attribute name="Package-Vendor" value="TUI UK" />
                    <attribute name="Package-Title" value="${ant.project.name}.jar" />
                    <attribute name="Specification-Vendor" value="TUI UK" />
                    <attribute name="Implementation-Vendor" value="TUI UK" />
                    <attribute name="Implementation-Title" value="${ant.project.name}" />
                    <attribute name="Implementation-Date" value="${NOW}" />
                    <attribute name="Implementation-Version" value="${version}" />
                    <attribute name="Build-Id" value="${build.id}" />
                </section>
            </manifest>
        </jar>

    </target>
	
	<target name="compile-cps-core" >
        <javac srcdir="${tempsrc.dir}" destdir="${tempclasses.dir}" debug="${debug}" debuglevel="${debuglevel}" deprecation="${deprecation}" optimize="${optimize}" excludes="${global-excludes}" encoding="UTF-8">
            <classpath refid="classpath" />
            <compilerarg value="-Xlint:unchecked" />
            <compilerarg value="-Xlint:dep-ann" />
        </javac>
        <!-- copy over any properties (we should template and substitude vars in these for environments!) -->
        <copy todir="${tempclasses.dir}">
            <fileset dir="${tempsrc.dir}" includes="**/*.properties" />
        </copy>
        <!-- copy over any hibernate config and mapping files (we should template and substitude vars in these for environments!) -->
        <copy todir="${tempclasses.dir}">
            <fileset dir="${tempsrc.dir}" includes="**/*.xml" />
        </copy>
        <copy todir="${tempclasses.dir}/META-INF">
            <fileset dir="./cps-core/META-INF" />
        </copy>
    </target>
	
	<target name="package" depends="development">
		<echo>Packaging...</echo>
	</target>
	
	
	<target name="deployDevWar" depends="development">
		<echo>Copying ${work.dir}/${ant.project.name}.war ...</echo>
		<copy file="${work.dir}/${ant.project.name}.war" todir="${deploy.dir}" />
	</target>

</project>

	
	
	
	
	
	
